#
#(ie. use with rpm --rebuild):
#
#	--with debug	Compile with debugging code
# 
#  enable build with debugging code: will _not_ strip away any debugging code,
#  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
#  configure.

%define build_debug 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_debug: %{expand: %%define build_debug 1}}

%if %{build_debug}
# disable build root strip policy
%define __spec_install_post %{_libdir}/rpm/brp-compress || :

# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{build_debug}
%define build_debug 1
%endif

%define name	flood
%define version 1.0
%define snap	20041030
%define release 0.20041030.7mdk

Summary:	A benchmarking tool for Apache2
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://httpd.apache.org/test/flood/
License:	Apache License
Group:		System/Servers
Source0:	flood-%{snap}.tar.bz2
Patch0:		flood-openssl-version.diff.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	apr1-devel
BuildRequires:	apr-util1-devel
BuildRequires:	apache2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
Requires:	openssl
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Flood is a profile-driven HTTP load tester. It can be used to
gather important performance metrics for your website.

%prep

%setup -q -n flood-%{snap}
%patch0

%build
#########################################################################################
# configure and build phase
#

export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing
autoconf

%serverbuild

export CFLAGS="%{optflags}"

# We need to re-run ./buildconf because of any applied patch(es)
#./buildconf

%configure2_5x \
    --cache-file=config.cache \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config \
%if %{build_debug}
    --enable-debug \
    --enable-maintainer-mode \
%endif
    --with-openssl=%{_includedir} \
    --enable-ssl \
    --with-capath=%{_sysconfdir}/ssl/flood

%make 

# make docs
mkdir -p manual
xsltproc -o manual/ %{_datadir}/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl docs/docbook/flood.xml

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
#########################################################################################
# install phase
#

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/ssl/flood

# install flood
install -m0755 flood %{buildroot}%{_sbindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(644,root,root,755)
%doc CHANGES CONFIG DESIGN LICENSE NOTICE STATUS examples manual
%dir %{_sysconfdir}/ssl/flood
%attr(0755,root,root) %{_sbindir}/flood

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.7mdk
- rebuilt against new openldap-2.3.6 libs

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.6mdk
- fix deps

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.20041030.5mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.4mdk
- rebuilt against new openldap libs

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.3mdk
- make --with debug work

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.2mdk
- rebuilt against new apu/apr libs

* Sat Oct 30 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20041030.1mdk
- 20041030
- build against apr and apu 1

* Tue May 11 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20021203.1mdk
- re-added into cooker
- added P0 (suse)
- added S1 from CVS
